# ApplicationFramework
TKCDF
PCDM

# PCDM_ReferenceIterator Class Reference

`#include <PCDM_ReferenceIterator.hxx>`

## Public Member Functions

Standard_EXPORT | PCDM_ReferenceIterator (const Handle(CDM_MessageDriver)&theMessageDriver)
| Warning! The constructor does not initialization. .
Standard_EXPORT void | LoadReferences (const Handle(CDM_Document)&aDocument, const Handle(CDM_MetaData)&aMetaData, const Handle(CDM_Application)&anApplication, const Standard_Boolean UseStorageConfiguration)
virtual Standard_EXPORT void | Init (const Handle(CDM_MetaData)&aMetaData)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

virtual Standard_EXPORT Standard_Boolean | More () const
virtual Standard_EXPORT void | Next ()
virtual Standard_EXPORT Handle_CDM_MetaData | MetaData (const Standard_Boolean UseStorageConfiguration) const
virtual Standard_EXPORT Standard_Integer | ReferenceIdentifier () const
virtual Standard_EXPORT Standard_Integer | DocumentVersion () const
| returns the version of the document in the reference

## Private Attributes

PCDM_SequenceOfReference | myReferences
Standard_Integer | myIterator
Handle_CDM_MessageDriver | myMessageDriver

## Constructor & Destructor Documentation

Standard_EXPORT PCDM_ReferenceIterator::PCDM_ReferenceIterator | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer PCDM_ReferenceIterator::DocumentVersion | ( |  | ) | const`[private, virtual]`

Standard_EXPORT const PCDM_ReferenceIterator::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void PCDM_ReferenceIterator::Init | ( | const Handle(CDM_MetaData)& | aMetaData | ) | `[virtual]`

Standard_EXPORT void PCDM_ReferenceIterator::LoadReferences | ( | const Handle(CDM_Document)& | aDocument,
|  | const Handle(CDM_MetaData)& | aMetaData,
|  | const Handle(CDM_Application)& | anApplication,
|  | const Standard_Boolean | UseStorageConfiguration
| ) |

virtual Standard_EXPORT Handle_CDM_MetaData PCDM_ReferenceIterator::MetaData | ( | const Standard_Boolean | UseStorageConfiguration | ) | const`[private, virtual]`

virtual Standard_EXPORT Standard_Boolean PCDM_ReferenceIterator::More | ( |  | ) | const`[private, virtual]`

virtual Standard_EXPORT void PCDM_ReferenceIterator::Next | ( |  | ) | `[private, virtual]`

virtual Standard_EXPORT Standard_Integer PCDM_ReferenceIterator::ReferenceIdentifier | ( |  | ) | const`[private, virtual]`

## Field Documentation

Standard_Integer PCDM_ReferenceIterator::myIterator `[private]`

Handle_CDM_MessageDriver PCDM_ReferenceIterator::myMessageDriver `[private]`

PCDM_SequenceOfReference PCDM_ReferenceIterator::myReferences `[private]`

The documentation for this class was generated from the following file:

- PCDM_ReferenceIterator.hxx